Get the list of transfers for a given user's profile (defaults to user's personal profile).
You can add query parameters to specify user's profile (personal or business), time period and/or payment status. For example, you can query all failed payments created since last week, or all completed payments created since yesterday.
Comma separated list of one or more status codes to filter transfers. See Transfer statuses for complete list of statuses.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
- Production Environmenthttps://api.wise.com/2026Q4/transfers
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/transfers
curl -i -X GET \
'https://api.wise.com/2026Q4/transfers?profile=0&status=string&sourceCurrency=string&targetCurrency=string&createdDateStart=2019-08-24T14%3A15%3A22Z&createdDateEnd=2019-08-24T14%3A15%3A22Z&limit=0&offset=0' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Returns an array of transfer objects, with or without an originator block depending on the type of each transfer.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
[ { "id": 16521632, "user": 4342275, "targetAccount": 8692237, "sourceAccount": null, "quote": null, "quoteUuid": "8fa9be20-ba43-4b15-abbb-9424e1481050", "status": "incoming_payment_waiting", "reference": "reference text", "rate": 0.89, "created": "2017-11-24 10:47:49", "business": null, "transferRequest": null, "details": { "reference": "Testing" }, "hasActiveIssues": false, "sourceCurrency": "EUR", "sourceValue": 0, "targetCurrency": "GBP", "targetValue": 150, "customerTransactionId": "54a6bc09-cef9-49a8-9041-f1f0c654cd88", "payinSessionId": "23330542-8e9e-419f-95eb-312b880f92ad" } ]